Bug 22009 - Fix error messages for classification sources and filing rules
Summary: Fix error messages for classification sources and filing rules
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 15836
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-17 10:10 UTC by Katrin Fischer
Modified: 2019-02-25 09:47 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22009: Fix error messages for filing rules and splitting rules. (1.76 KB, patch)
2018-12-21 00:21 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22009: Fix error messages for filing rules and splitting rules. (1.83 KB, patch)
2018-12-21 13:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22009: Fix error messages for filing rules and splitting rules. (1.90 KB, patch)
2019-02-08 17:02 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-12-17 10:10:59 UTC
There is a doubled up error message that might indicate a problem or oversight:

%s An error occurred when adding this filing rule. Perhaps the code already exists? %s Filing rule updated successfully. %s An error occurred when adding this filing rule. Perhaps the code already exists? 

The filing rule error appears twice.
Comment 1 Katrin Fischer 2018-12-21 00:21:19 UTC
Created attachment 83440 [details] [review]
Bug 22009: Fix error messages for filing rules and splitting rules.

Some error messages were doubled up with different error codes.

To test:
I am not sure how to trigger those from the GUI, might
require a code review/code changes.
Comment 2 Jonathan Druart 2018-12-21 13:14:52 UTC
Created attachment 83464 [details] [review]
Bug 22009: Fix error messages for filing rules and splitting rules.

Some error messages were doubled up with different error codes.

To test:
I am not sure how to trigger those from the GUI, might
require a code review/code changes.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Martin Renvoize 2019-02-08 17:02:30 UTC
Created attachment 84889 [details] [review]
Bug 22009: Fix error messages for filing rules and splitting rules.

Some error messages were doubled up with different error codes.

To test:
I am not sure how to trigger those from the GUI, might
require a code review/code changes.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2019-02-08 17:03:13 UTC
Another simple one to QA.. no regressions and a sane fix.

Passing QA
Comment 5 Nick Clemens 2019-02-11 18:39:16 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-12 13:16:07 UTC
Pushed to 18.11.x for 18.11.03
Comment 7 Lucas Gass 2019-02-14 23:00:59 UTC
missing dependency, wont backport to 18.05.x